Name:      perl-Test-Perl-Critic
Summary:   Uses Perl::Critic in test programs  
Version:   1.02
Release:   1%{?dist}
License:   GPL+ or Artistic
Group:     Development/Libraries
URL:       http://search.cpan.org/dist/Test-Perl-Critic
BuildArch: noarch
Source:    http://search.cpan.org/CPAN/authors/id/T/TH/THALJEF/%{name}-%{version}.tar.gz
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(Test::Perl::Critic)

%description
Uses Perl::Critic in test programs.

%prep
%setup -q -n Test-Perl-Critic-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 6 2013 Andrea Veri <averi@fedoraproject.org> - 1.02-1%{?dist}
- Initial build.
